#include <QHBoxLayout>
#include <QVBoxLayout>

#include <QVTKWidget.h>
#include <vtkSmartPointer.h>
#include <vtkOrientationMarkerWidget.h>
#include <vtkAxesActor.h>
#include <vtkRenderer.h>
#include <vtkRenderWindow.h>

#include "vtkviewer.h"

VTKViewer::VTKViewer(QWidget *parent) : QWidget(parent)
{
    QVTKWidget *qvtkwidget = new QVTKWidget;

    auto renderer = vtkSmartPointer<vtkRenderer>::New();

    vtkRenderWindow *renderWindow = qvtkwidget->GetRenderWindow();
    renderWindow->AddRenderer(renderer);

    auto axes = vtkSmartPointer<vtkAxesActor>::New();
    axes->SetXAxisLabelText("x");
    axes->SetYAxisLabelText("y");
    axes->SetZAxisLabelText("z");

    auto orientationMarker = vtkSmartPointer<vtkOrientationMarkerWidget>::New();
    orientationMarker->SetInteractor(qvtkwidget->GetInteractor());
    orientationMarker->SetOrientationMarker(axes);
//    orientationMarker->SetEnabled(1);

    QHBoxLayout *topLayout = new QHBoxLayout;
    topLayout->addWidget(qvtkwidget);

    QHBoxLayout *bottomLayout = new QHBoxLayout;

    QVBoxLayout *layout = new QVBoxLayout(this);
    layout->addLayout(topLayout);
    layout->addLayout(bottomLayout);
}

VTKViewer::~VTKViewer()
{
}
